space_mult_list< T, M >

## Public Types

typedef space_mult_list_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef space_basic< T, M > | value_type
typedef rep::size_type | size_type
typedef rep::const_iterator | const_iterator

## Public Member Functions

| space_mult_list ()
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
void | push_back (const value_type &X) const
void | push_front (const value_type &X) const

## Detailed Description

### template<class T, class M>
class rheolef::space_mult_list< T, M >

Definition at line 111 of file space.h.

## Member Typedef Documentation

## rep

typedef space_mult_list_rep<T,M> rep

Definition at line 57 of file space_mult.h.

## base

typedef smart_pointer<rep> base

Definition at line 58 of file space_mult.h.

## value_type

typedef space_basic<T,M> value_type

Definition at line 59 of file space_mult.h.

## size_type

typedef rep::size_type size_type

Definition at line 60 of file space_mult.h.

## const_iterator

typedef rep::const_iterator const_iterator

Definition at line 61 of file space_mult.h.

## Constructor & Destructor Documentation

## space_mult_list()

space_mult_list | ( |  | ) |

Definition at line 65 of file space_mult.h.

## Member Function Documentation

## size()

size_type size | ( |  | ) | const

Definition at line 69 of file space_mult.h.

## begin()

const_iterator begin | ( |  | ) | const

Definition at line 70 of file space_mult.h.

## end()

const_iterator end | ( |  | ) | const

Definition at line 71 of file space_mult.h.

## push_back()

void push_back | ( | const value_type & | X | ) | const

Definition at line 75 of file space_mult.h.

## push_front()

void push_front | ( | const value_type & | X | ) | const

Definition at line 76 of file space_mult.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/space.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/space_mult.h